package main

import (
	"encoding/json"
	"fmt"
	"log"
	"os"

	httpserver "git.aetherial.dev/aeth/http-proxy/pkg"
)

func main() {

	rmaps := httpserver.ReadRouteMap("/home/svcs/http-proxy/config/routemaps/static.semrush.com.json")
	fmt.Printf("%v\n", rmaps)
	b, err := json.Marshal(rmaps)
	if err != nil {
		log.Fatal(err)
	}
	err = os.WriteFile("./map.json", b, os.ModePerm)
	if err != nil {
		log.Fatal(err)
	}

}
